org.eclipse.jetty.util.ajax

## Class JSON.StringSource

- java.lang.Object
- - org.eclipse.jetty.util.ajax.JSON.StringSource

All Implemented Interfaces:
  JSON.Source

Enclosing class:
  JSON

    public static class JSON.StringSource
    extends Object
    implements JSON.Source

### Constructor Summary

Constructors
Constructor and Description
`JSON.StringSource(String s)`

### Method Summary

Methods
`boolean` `hasNext()`
`char` `next()`
`char` `peek()`
`char[]` `scratchBuffer()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JSON.StringSource

    public JSON.StringSource(String s)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `JSON.Source`

#### next

    public char next()

Specified by:
  `next` in interface `JSON.Source`

#### peek

    public char peek()

Specified by:
  `peek` in interface `JSON.Source`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### scratchBuffer

    public char[] scratchBuffer()

Specified by:
  `scratchBuffer` in interface `JSON.Source`